Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1515974 - Sometimes thinkpad laptop's trackpoint is undetected after boot
Summary: Sometimes thinkpad laptop's trackpoint is undetected after boot
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11
Version: 27
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-21 17:33 UTC by Rashi
Modified: 2018-11-30 18:26 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 18:26:55 UTC


Attachments (Terms of Use)

Description Rashi 2017-11-21 17:33:33 UTC
I have laptop thinkpad T450s with Fedora v27, sometimes the trackpoint (the red pointing stick) is not detected by the OS after boot, which renders the trackpoint become unusable, even the trackpoint buttons are also not working.

Normally, the `xinput --list` command will return like this at the "Virtual Core Pointer" section:

Virtual core pointer              id=2	[master pointer  (3)]
    Virtual core XTEST pointer    id=4	[slave  pointer  (2)]
    TPPS/2 IBM TrackPoint         id=14	[slave  pointer  (2)]
    Synaptics TM3053-004          id=13	[slave  pointer  (2)]


When the issue appeared, the "TPPS/2 IBM TrackPoint" become missing in `xinput --list` result:

Virtual core pointer              id=2	[master pointer  (3)]
    Virtual core XTEST pointer    id=4	[slave  pointer  (2)]
    Synaptics TM3053-004          id=12	[slave  pointer  (2)]


I can't find a way to enable the trackpoint besides rebooting the machine. 

I switched to Fedora v26, also found this issue.

Comment 1 Rashi 2017-11-24 15:54:34 UTC
I just found same issue in Antergos (arch linux) with kernel v4.13.12.1. So perhaps this is common kernel issue.

I tried this command:

  sudo rmmod psmouse && sudo modprobe psmouse proto=imps

it made the trackpoint working again, however it will disable the touchpad completely and can't be re-enabled (maybe there is a way, but I haven't found it).

Interestingly, when running `xinput --list`, the trackpoint is still missing from the list, and "Synaptics TM3053-004" will turn into "PS/2 Synaptics TouchPad".

Comment 2 Ben Cotton 2018-11-27 18:02:38 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2018-11-30 18:26:55 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.